org.bouncycastle.asn1.pkcs

## Class IssuerAndSerialNumber

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.pkcs.IssuerAndSerialNumber

All Implemented Interfaces:
  DEREncodable

    public class IssuerAndSerialNumber
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`IssuerAndSerialNumber(ASN1Sequence seq)`
`IssuerAndSerialNumber(X509Name name, java.math.BigInteger certSerialNumber)`
`IssuerAndSerialNumber(X509Name name, DERInteger certSerialNumber)`

### Method Summary

Methods
`DERInteger` `getCertificateSerialNumber()`
`static IssuerAndSerialNumber` `getInstance(java.lang.Object obj)`
`X509Name` `getName()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IssuerAndSerialNumber

    public IssuerAndSerialNumber(ASN1Sequence seq)

#### IssuerAndSerialNumber

    public IssuerAndSerialNumber(X509Name name,
                         java.math.BigInteger certSerialNumber)

#### IssuerAndSerialNumber

    public IssuerAndSerialNumber(X509Name name,
                         DERInteger certSerialNumber)

### Method Detail

#### getInstance

    public static IssuerAndSerialNumber getInstance(java.lang.Object obj)

#### getName

    public X509Name getName()

#### getCertificateSerialNumber

    public DERInteger getCertificateSerialNumber()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`